Bug 1270375 - Review Request: nacl-arm-newlib - C library intended for use on embedded systems
Review Request: nacl-arm-newlib - C library intended for use on embedded systems
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On: 1270364 1270368
Blocks: 1270322 1270405
  Show dependency treegraph
 
Reported: 2015-10-09 15:55 EDT by Tom "spot" Callaway
Modified: 2016-03-09 15:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 10:52:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2015-10-09 15:55:31 EDT
Spec URL: https://spot.fedorapeople.org/nacl-arm-newlib.spec
SRPM URL: https://spot.fedorapeople.org/nacl-arm-newlib-2.1.0-2.git373135e.fc23.src.rpm
Description: 
Newlib is a C library intended for use on embedded systems. It is a
conglomeration of several library parts, all under free software licenses
that make them easily usable on embedded products. This is the nacl fork.

Fedora Account System Username: spot

This is the nacl-arm build of newlib. nacl-arm-gcc needs this to build without bootstrap.
Comment 1 gil cattaneo 2015-12-16 05:04:57 EST
Hi
Please, use %global instead of %define

%define __debug_install_post : > %{_builddir}/%{?buildsubdir}/debugfiles.list
%define debug_package %{nil}
Comment 2 gil cattaneo 2015-12-16 05:07:51 EST
Please, remove i686

ExclusiveArch:	i686 x86_64

nacl-arm-gcc is available only for x86_64 arch @ the moment
Comment 3 Tom "spot" Callaway 2015-12-17 13:45:44 EST
- Change defines to globals
- Drop i686.

New SRPM: https://spot.fedorapeople.org/nacl-arm-newlib-2.1.0-3.git373135e.fc23.src.rpm
New SPEC: https://spot.fedorapeople.org/nacl-arm-newlib.spec
Comment 4 Upstream Release Monitoring 2015-12-18 13:29:14 EST
gil's scratch build of nacl-arm-newlib-2.1.0-3.git373135e.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12239933
Comment 5 gil cattaneo 2015-12-18 13:58:55 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
 NOTE: manual review
- Header files in -devel subpackage, if present.
  Note: nacl-arm-newlib : /usr/arm-nacl/include/_ansi.h nacl-arm-newlib :
  /usr/arm-nacl/include/_syslist.h nacl-arm-newlib : /usr/arm-
  nacl/include/alloca.h nacl-arm-newlib : /usr/arm-nacl/include/ar.h nacl-
  arm-newlib : /usr/arm-nacl/include/argz.h nacl-arm-newlib : /usr/arm-
  nacl/include/assert.h nacl-arm-newlib : /usr/arm-
  nacl/include/bits/limits.h nacl-arm-newlib : /usr/arm-
  nacl/include/bits/mman.h nacl-arm-newlib : /usr/arm-
  nacl/include/bits/nacl_syscalls.h nacl-arm-newlib : /usr/arm-
  nacl/include/bits/stat.h nacl-arm-newlib : /usr/arm-
  nacl/include/bits/wordsize.h nacl-arm-newlib : /usr/arm-
  nacl/include/complex.h nacl-arm-newlib : /usr/arm-nacl/include/ctype.h
  nacl-arm-newlib : /usr/arm-nacl/include/dirent.h nacl-arm-newlib : /usr
  /arm-nacl/include/envlock.h nacl-arm-newlib : /usr/arm-
  nacl/include/envz.h nacl-arm-newlib : /usr/arm-nacl/include/errno.h nacl-
  arm-newlib : /usr/arm-nacl/include/fastmath.h nacl-arm-newlib : /usr/arm-
  nacl/include/fcntl.h nacl-arm-newlib : /usr/arm-nacl/include/fnmatch.h
  nacl-arm-newlib : /usr/arm-nacl/include/getopt.h nacl-arm-newlib : /usr
  /arm-nacl/include/glob.h nacl-arm-newlib : /usr/arm-nacl/include/grp.h
  nacl-arm-newlib : /usr/arm-nacl/include/iconv.h nacl-arm-newlib : /usr
  /arm-nacl/include/ieeefp.h nacl-arm-newlib : /usr/arm-
  nacl/include/inttypes.h nacl-arm-newlib : /usr/arm-
  nacl/include/langinfo.h nacl-arm-newlib : /usr/arm-nacl/include/libgen.h
  nacl-arm-newlib : /usr/arm-nacl/include/limits.h nacl-arm-newlib : /usr
  /arm-nacl/include/locale.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/_default_types.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/_types.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/ansi.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/endian.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/fastmath.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/ieeefp.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/malloc.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/param.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/setjmp-dj.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/setjmp.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/stdlib.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/termios.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/time.h nacl-arm-newlib : /usr/arm-
  nacl/include/machine/types.h nacl-arm-newlib : /usr/arm-
  nacl/include/malloc.h nacl-arm-newlib : /usr/arm-nacl/include/math.h
  nacl-arm-newlib : /usr/arm-nacl/include/newlib.h nacl-arm-newlib : /usr
  /arm-nacl/include/paths.h nacl-arm-newlib : /usr/arm-
  nacl/include/pthread.h nacl-arm-newlib : /usr/arm-nacl/include/pwd.h
  nacl-arm-newlib : /usr/arm-nacl/include/reent.h nacl-arm-newlib : /usr
  /arm-nacl/include/regdef.h nacl-arm-newlib : /usr/arm-
  nacl/include/regex.h nacl-arm-newlib : /usr/arm-nacl/include/sched.h
  nacl-arm-newlib : /usr/arm-nacl/include/search.h nacl-arm-newlib : /usr
  /arm-nacl/include/semaphore.h nacl-arm-newlib : /usr/arm-
  nacl/include/setjmp.h nacl-arm-newlib : /usr/arm-nacl/include/signal.h
  nacl-arm-newlib : /usr/arm-nacl/include/spawn.h nacl-arm-newlib : /usr
  /arm-nacl/include/stdatomic.h nacl-arm-newlib : /usr/arm-
  nacl/include/stdint.h nacl-arm-newlib : /usr/arm-nacl/include/stdio.h
  nacl-arm-newlib : /usr/arm-nacl/include/stdio_ext.h nacl-arm-newlib :
  /usr/arm-nacl/include/stdlib.h nacl-arm-newlib : /usr/arm-
  nacl/include/string.h nacl-arm-newlib : /usr/arm-nacl/include/strings.h
  nacl-arm-newlib : /usr/arm-nacl/include/sys/_default_fcntl.h nacl-arm-
  newlib : /usr/arm-nacl/include/sys/_types.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/cdefs.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/config.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/custom_file.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/dir.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/dirent.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/errno.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/fcntl.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/features.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/file.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/iconvnls.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/lock.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/mman.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/nacl_list_mappings.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/nacl_nice.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/nacl_syscalls.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/nacl_test_crash.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/param.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/queue.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/reent.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/resource.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/sched.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/signal.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/stat.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/stdio.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/string.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/syslimits.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/time.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/timeb.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/times.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/types.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/unistd.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/utime.h nacl-arm-newlib : /usr/arm-
  nacl/include/sys/wait.h nacl-arm-newlib : /usr/arm-nacl/include/tar.h
  nacl-arm-newlib : /usr/arm-nacl/include/termios.h nacl-arm-newlib : /usr
  /arm-nacl/include/tgmath.h nacl-arm-newlib : /usr/arm-nacl/include/time.h
  nacl-arm-newlib : /usr/arm-nacl/include/unctrl.h nacl-arm-newlib : /usr
  /arm-nacl/include/unistd.h nacl-arm-newlib : /usr/arm-
  nacl/include/utime.h nacl-arm-newlib : /usr/arm-nacl/include/utmp.h nacl-
  arm-newlib : /usr/arm-nacl/include/wchar.h nacl-arm-newlib : /usr/arm-
  nacl/include/wctype.h nacl-arm-newlib : /usr/arm-nacl/include/wordexp.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
 IGNORE
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: nacl-arm-newlib. Illegal package name: nacl-
  arm-newlib. Does not provide -static: nacl-arm-newlib.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
 IGNORE

===== MUST items =====

C/C++:
[?]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/arm-nacl
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/arm-nacl
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[-]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[!]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/gil/1270375-nacl-arm-newlib/nacl-arm-newlib-2.1.0-3.git373135e.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 --setopt=deltarpm=false install /home/gil/1270375-nacl-arm-newlib/nacl-arm-newlib-2.1.0-3.git373135e.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nacl-arm-newlib-2.1.0-3.git373135e.fc24.x86_64.rpm
          nacl-arm-newlib-2.1.0-3.git373135e.fc24.src.rpm
nacl-arm-newlib.x86_64: E: explicit-lib-dependency nacl-newlib
nacl-arm-newlib.x86_64: W: no-documentation
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/envz.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/assert.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/unistd.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/lib/libcrt_common.a
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/ar.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/unistd.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/strings.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/bits/mman.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/_default_types.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/argz.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/alloca.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/stdlib.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/dir.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/inttypes.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/setjmp-dj.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/nacl_test_crash.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/utime.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/search.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/bits/stat.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/iconvnls.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/libgen.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/ansi.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/_ansi.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/_syslist.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/types.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/newlib.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/glob.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/types.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/regdef.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/malloc.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/stat.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/time.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/fastmath.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/reent.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/lib/libc.a
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/limits.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/mman.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/signal.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/malloc.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/envlock.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/endian.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/errno.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/paths.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/fcntl.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/config.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/semaphore.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/stdatomic.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/bits/nacl_syscalls.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/timeb.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/stdio.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/regex.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/dirent.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/math.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/nacl_syscalls.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/file.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/cdefs.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/nacl_nice.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/features.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/custom_file.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/string.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/pthread.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/lib/libg.a
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/ieeefp.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/times.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/grp.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/dirent.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/lib/libm.a
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/_default_fcntl.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/tgmath.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/wchar.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sched.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/string.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/nacl_list_mappings.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/setjmp.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/sched.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/time.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/fcntl.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/ieeefp.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/stdio_ext.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/tar.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/fnmatch.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/iconv.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/pwd.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/time.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/_types.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/unctrl.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/param.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/wordexp.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/setjmp.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/stdlib.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/locale.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/termios.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/queue.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/utmp.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/spawn.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/_types.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/param.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/getopt.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/stdio.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/lock.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/syslimits.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/errno.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/complex.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/stdint.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/bits/wordsize.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/machine/termios.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/langinfo.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/reent.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/utime.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/fastmath.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/wait.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/sys/resource.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/ctype.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/bits/limits.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/signal.h
nacl-arm-newlib.x86_64: W: devel-file-in-non-devel-package /usr/arm-nacl/include/wctype.h
nacl-arm-newlib.x86_64: W: non-standard-dir-in-usr arm-nacl
nacl-arm-newlib.src: W: invalid-url Source1: nacl-headers-42.0.2311.135.tar.bz2
nacl-arm-newlib.src: W: invalid-url Source0: nacl-arm-newlib-2.1.0-git373135e.tar.bz2
2 packages and 0 specfiles checked; 1 errors, 120 warnings.




Requires
--------
nacl-arm-newlib (rpmlib, GLIBC filtered):
    nacl-newlib



Provides
--------
nacl-arm-newlib:
    nacl-arm-newlib
    nacl-arm-newlib(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -vpn nacl-arm-newlib -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 gil cattaneo 2015-12-18 14:08:33 EST
NON blocking issues:

[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
 Please, install license files with the proper macro
 
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/arm-nacl
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/arm-nacl
 Please, add %dir %{_prefix}/arm-nacl

[!]: Uses parallel make %{?_smp_mflags} macro.
 Please, use the above macro, or add a comment why do not support
 parallel build
[!]: Packages should try to preserve timestamps of original installed
     files.
 Please, use
 cp -p %{SOURCE3} %{buildroot}%{_prefix}/arm-nacl/include/
 cp -p %{SOURCE4} %{buildroot}%{_prefix}/arm-nacl/include/
 or
 install -pm 644 %{SOURCE3} %{buildroot}%{_prefix}/arm-nacl/include/
 install -pm 644 %{SOURCE4} %{buildroot}%{_prefix}/arm-nacl/include/

Please, fix those problems before import

Approved
Comment 7 Gwyn Ciesla 2016-02-29 11:06:04 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nacl-arm-newlib
Comment 8 Fedora Update System 2016-02-29 11:36:08 EST
nacl-arm-newlib-2.1.0-3.git373135e.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a083ecdf1
Comment 9 Fedora Update System 2016-02-29 11:36:09 EST
nacl-arm-newlib-2.1.0-3.git373135e.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-86e9d3f14a
Comment 10 Fedora Update System 2016-02-29 18:49:53 EST
nacl-arm-newlib-2.1.0-3.git373135e.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a083ecdf1
Comment 11 Fedora Update System 2016-02-29 18:52:08 EST
nacl-arm-newlib-2.1.0-3.git373135e.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-86e9d3f14a
Comment 12 Fedora Update System 2016-03-09 10:52:11 EST
nacl-arm-newlib-2.1.0-3.git373135e.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-03-09 11:20:41 EST
nacl-arm-newlib-2.1.0-3.git373135e.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-09 13:45:29 EST
nacl-arm-newlib-2.1.0-3.git373135e.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-09 15:10:59 EST
nacl-arm-newlib-2.1.0-3.git373135e.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-09 15:12:34 EST
nacl-arm-newlib-2.1.0-3.git373135e.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.